diff -Nurd -x'*~' snownews-1.5.7.orig/Makefile snownews-1.5.7/Makefile
--- snownews-1.5.7.orig/Makefile	2005-06-05 05:50:22.000000000 -0400
+++ snownews-1.5.7/Makefile	2006-06-13 11:38:58.000000000 -0400
@@ -12,7 +12,7 @@
 
 VERSION= `grep VERSION version.h | sed s/\"//g | sed s/\#define\ VERSION\ //`
 DISTDIR= snownews-$(VERSION)
-DISTFILES = AUTHOR COPYING CREDITS Changelog README README.de README.patching INSTALL opml2snow snowsync \
+DISTFILES = AUTHOR COPYING CREDITS Changelog README README.de README.patching INSTALL snowsync \
 	Makefile platform_settings configure \
 	doc po scripts \
 	main.c interface.c netio.c xmlparse.c updatecheck.c os-support.c conversions.c dialog.c ui-support.c categories.c about.c cookies.c setup.c net-support.c digcalc.c md5.c filters.c io-internal.c zlib_interface.c support.c \
@@ -60,10 +60,6 @@
 		mkdir -p $(DESTDIR)$(PREFIX)/bin; \
 	fi
 	$(INSTALL) -s snownews $(DESTDIR)$(PREFIX)/bin
-	$(INSTALL) opml2snow $(DESTDIR)$(PREFIX)/bin
-	if [ ! -f "$(DESTDIR)$(PREFIX)/bin/snow2opml" ]; then \
-		ln -sf $(DESTDIR)$(PREFIX)/bin/opml2snow $(DESTDIR)$(PREFIX)/bin/snow2opml; \
-	fi;
 	$(INSTALL) snowsync $(DESTDIR)$(PREFIX)/bin
 
 install-locales: locales
@@ -75,17 +71,15 @@
 	done
 
 install-man: manpages
-	if [ ! -d "$(DESTDIR)$(PREFIX)/man/man1" ]; then \
-		mkdir -p $(DESTDIR)$(PREFIX)/man/man1; \
+	if [ ! -d "$(DESTDIR)$(PREFIX)/share/man/man1" ]; then \
+		mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1; \
 	fi
-	$(INSTALL) -m 0644 $(MAN)/snownews.1 $(DESTDIR)$(PREFIX)/man/man1
-	$(INSTALL) -m 0644 $(MAN)/opml2snow.1 $(DESTDIR)$(PREFIX)/man/man1
-	
+	$(INSTALL) -m 0644 $(MAN)/snownews.1 $(DESTDIR)$(PREFIX)/share/man/man1
 	for L in $(LANGS); do \
-		if [ ! -d "$(DESTDIR)$(PREFIX)/man/$$L/man1" ]; then \
-			mkdir -p $(DESTDIR)$(PREFIX)/man/$$L/man1; \
+		if [ ! -d "$(DESTDIR)$(PREFIX)/share/man/$$L/man1" ]; then \
+			mkdir -p $(DESTDIR)$(PREFIX)/share/man/$$L/man1; \
 		fi; \
-		$(INSTALL) -m 0644 $(MAN)/$$L/snownews.1 $(DESTDIR)$(PREFIX)/man/$$L/man1; \
+		$(INSTALL) -m 0644 $(MAN)/$$L/snownews.1 $(DESTDIR)$(PREFIX)/share/man/$$L/man1; \
 	done
 
 ### Cleanup ###
@@ -127,7 +121,7 @@
 	mkdir $(DISTDIR)/man/it
 	mkdir $(DISTDIR)/man/ru_RU.KOI8-R
 	mkdir $(DISTDIR)/po
-	cp AUTHOR COPYING CREDITS Changelog README README.de INSTALL.binary snownews opml2snow $(DISTDIR)
+	cp AUTHOR COPYING CREDITS Changelog README README.de INSTALL.binary snownews $(DISTDIR)
 	cp doc/man/de/snownews.1 $(DISTDIR)/man/de
 	cp doc/man/nl/snownews.1 $(DISTDIR)/man/nl
 	cp doc/man/fr/snownews.1 $(DISTDIR)/man/fr
diff -Nurd -x'*~' snownews-1.5.7.orig/doc/man/snownews.1.in snownews-1.5.7/doc/man/snownews.1.in
--- snownews-1.5.7.orig/doc/man/snownews.1.in	2005-06-05 05:50:21.000000000 -0400
+++ snownews-1.5.7/doc/man/snownews.1.in	2006-06-13 11:33:16.000000000 -0400
@@ -67,7 +67,7 @@
 .B 'o'
 will open the link (usually the complete news text) in the browser.
 .P
-The default browser is lynx, but you can change this by pressing
+The default browser depends on 'open', but you can change this by pressing
 .B 'B'
 in the main menu and entering a new default browser. Or you can edit
 the file ~/.snownews/browser. The program replaces
diff -Nurd -x'*~' snownews-1.5.7.orig/main.c snownews-1.5.7/main.c
--- snownews-1.5.7.orig/main.c	2005-06-05 05:50:22.000000000 -0400
+++ snownews-1.5.7/main.c	2006-06-13 11:38:24.000000000 -0400
@@ -91,7 +91,9 @@
 		/* Do this after everything else. If it doesn't work or hang
 		   user can ctrl-c without interfering with the program operation
 		   (like writing caches). */
+		/* Disable the check for later versions...
 		AutoVersionCheck();
+		It is not needed in a packaged distribution. */
 		
 		exit(0);
 	} else {
diff -Nurd -x'*~' snownews-1.5.7.orig/platform_settings snownews-1.5.7/platform_settings
--- snownews-1.5.7.orig/platform_settings	2005-06-05 05:50:22.000000000 -0400
+++ snownews-1.5.7/platform_settings	2006-06-13 11:45:55.000000000 -0400
@@ -1,3 +1,3 @@
 PREFIX=  /usr/local
-CFLAGS=  -Wall -Wno-format-y2k -O2 -DLOCALEPATH="\"$(LOCALEPATH)\"" -DOS=\"$(shell uname)\" `xml2-config --cflags` $(EXTRA_CFLAGS)  -DSTATIC_CONST_ICONV -I/usr/local/include
+CFLAGS=  -Wall -Wno-format-y2k -O2 -DLOCALEPATH="\"$(LOCALEPATH)\"" -DOS=\"$(shell uname)\" `xml2-config --cflags` $(EXTRA_CFLAGS)  -DSTATIC_CONST_ICONV
 LDFLAGS= -lncurses `xml2-config --libs` $(EXTRA_LDFLAGS)  -lintl -liconv
diff -Nurd -x'*~' snownews-1.5.7.orig/setup.c snownews-1.5.7/setup.c
--- snownews-1.5.7.orig/setup.c	2005-06-05 05:50:22.000000000 -0400
+++ snownews-1.5.7/setup.c	2006-06-13 11:29:55.000000000 -0400
@@ -67,7 +67,7 @@
 		configfile = fopen (file, "w+");
 		if (configfile == NULL)
 			MainQuit (_("Create initial configfile \"config\""), strerror(errno)); /* Still didn't work? */
-		browser = strdup("lynx %s");
+		browser = strdup("open %s");
 		fputs (browser, configfile);
 		fclose (configfile);
 	} else {
